Last Comment Bug 541396 - Intermittent failure in test_fallback.html | Fallback page displayed for top level document
: Intermittent failure in test_fallback.html | Fallback page displayed for top ...
Status: RESOLVED FIXED
[See comment 24] [qa-examined-191] [...
: intermittent-failure
Product: Core
Classification: Components
Component: Networking: Cache (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla2.0b9
Assigned To: Honza Bambas (:mayhemer)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on:
Blocks: 438871 443017
  Show dependency treegraph
 
Reported: 2010-01-22 07:55 PST by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.14-fixed
.17-fixed


Attachments
v1 [Check in comment 31 & 32] (2.04 KB, patch)
2010-12-07 15:12 PST, Honza Bambas (:mayhemer)
jst: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2010-01-22 07:55:21 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264159349.1264162689.26457.gz
Linux mozilla-central debug test mochitests-2/5 on 2010/01/22 03:22:29
s: moz2-linux-slave15

2645 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
Comment 1 Serge Gautherie (:sgautherie) 2010-02-02 07:35:40 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1265091790.1265097285.15366.gz
Linux comm-central-trunk debug test mochitests on 2010/02/01 22:23:10
Comment 2 Serge Gautherie (:sgautherie) 2010-02-05 20:02:11 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1265423318.1265426959.30838.gz
OS X 10.5 comm-1.9.1 test mochitests on 2010/02/05 18:28:38
Comment 3 Phil Ringnalda (:philor) 2010-02-11 14:40:13 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265923199.1265927798.32433.gz
Linux mozilla-central debug test mochitests-2/5 on 2010/02/11 13:19:59
s: moz2-linux-slave11
Comment 4 Phil Ringnalda (:philor) 2010-02-11 16:23:20 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265927832.1265932173.17208.gz
Linux mozilla-central debug test mochitests-2/5 on 2010/02/11 14:37:12
s: moz2-linux-slave09
Comment 5 Serge Gautherie (:sgautherie) 2010-04-08 13:34:23 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1270748105.1270752093.12665.gz
Linux comm-central-trunk debug test mochitests-2/5 on 2010/04/08 10:35:05
s: cn-sea-qm-centos5-01
Comment 6 Serge Gautherie (:sgautherie) 2010-04-10 17:35:39 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1270937358.1270941486.13663.gz
WINNT 5.2 comm-central-trunk debug test mochitests-2/5 on 2010/04/10 15:09:18
Comment 7 Treeherder Robot 2010-06-25 20:05:49 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1277509602.1277512773.20088.gz
Linux tracemonkey debug test mochitests-2/5 on 2010/06/25 16:46:42

s: moz2-linux-slave12
4964 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5386 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6433 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 8 Treeherder Robot 2010-07-29 15:51:25 PDT
tnikkel%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280438633.1280442240.24182.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/07/29 14:23:53

s: win32-slave49
5515 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5937 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6984 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 9 Treeherder Robot 2010-08-04 14:19:52 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280951693.1280955577.16967.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/04 12:54:53

s: win32-slave10
4767 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5189 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6236 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 10 Treeherder Robot 2010-08-13 15:09:01 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281733137.1281736673.17729.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/13 13:58:57

s: win32-slave48
3673 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | fx module: stop() - several in queue - All 3 still in the queue expected: 3 actual: 2
3676 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | fx module: stop(clearQueue) - An animation occurred 0px 0px
3677 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | fx module: stop(clearQueue) - Stop didn't reset the animation 0px 0px
4846 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5268 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6315 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 11 Treeherder Robot 2010-08-13 15:10:35 PDT
khuey
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281733137.1281736673.17729.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/13 13:58:57

s: win32-slave48
3673 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | fx module: stop() - several in queue - All 3 still in the queue expected: 3 actual: 2
3676 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | fx module: stop(clearQueue) - An animation occurred 0px 0px
3677 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | fx module: stop(clearQueue) - Stop didn't reset the animation 0px 0px
4846 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5268 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6315 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 12 Treeherder Robot 2010-08-16 16:22:16 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281996341.1282000657.22749.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/16 15:05:41

s: win32-slave17
4871 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5293 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6340 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 13 Treeherder Robot 2010-08-17 15:37:34 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282079635.1282083516.10370.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/17 14:13:55

s: win32-slave07
4908 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5330 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6060 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/scriptaculous/test_Scriptaculous.html | testElementMorph - 6 assertions, 2 failures, 0 errors
6061 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/scriptaculous/test_Scriptaculous.html | testElementMorph - 6 assertions, 2 failures, 0 errors
6375 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 14 Treeherder Robot 2010-08-24 18:39:58 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1282696291.1282699779.7689.gz
WINNT 5.2 tracemonkey debug test mochitests-2/5 on 2010/08/24 17:31:31

s: win32-slave18
4978 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5400 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6447 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 15 Treeherder Robot 2010-08-24 21:13:59 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282700491.1282706087.4283.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/24 18:41:31

s: win32-slave13
417 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
4994 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5416 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6463 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 16 Treeherder Robot 2010-08-24 21:39:24 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1282706728.1282710792.26385.gz
WINNT 5.2 tracemonkey debug test mochitests-2/5 on 2010/08/24 20:25:28

s: win32-slave23
4918 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5340 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6387 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 17 Treeherder Robot 2010-09-02 12:27:32 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1283451436.1283455015.22453.gz
WINNT 5.2 tracemonkey debug test mochitests-2/5 on 2010/09/02 11:17:16

s: win32-slave08
5043 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5465 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6512 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 18 Treeherder Robot 2010-09-07 20:07:34 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283909707.1283913517.30110.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/07 18:35:07

s: win32-slave48
4977 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5399 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6446 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 19 Treeherder Robot 2010-09-15 14:34:40 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1284581545.1284585822.11618.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/15 13:12:25

s: win32-slave18
5007 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5429 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6476 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
6546 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug369306.html | Test timed out.
Comment 20 Treeherder Robot 2010-10-14 11:49:30 PDT
dholbert%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1287078303.1287081550.31152.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitests-2/5 on 2010/10/14 10:45:03

s: talos-r3-snow-016
5019 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5441 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6488 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
6558 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug369306.html | Test timed out.
Comment 21 Treeherder Robot 2010-10-18 15:22:23 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1287435595.1287439517.27087.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/10/18 13:59:55

s: win32-slave02
5213 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5635 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6682 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
6752 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug369306.html | Test timed out.
Comment 22 Treeherder Robot 2010-10-21 00:44:15 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1287642806.1287645991.2384.gz
Rev3 MacOSX Snow Leopard 10.6.2 tracemonkey debug test mochitests-2/5 on 2010/10/20 23:33:26

s: talos-r3-snow-039
5000 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5422 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6469 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
6539 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug369306.html | Test timed out.
Comment 23 Treeherder Robot 2010-12-02 05:19:11 PST
jfkthame%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1291290444.1291294597.8687.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/12/02 03:47:24

s: win32-slave07
5112 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5534 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6581 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
6651 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug369306.html | Test timed out.
Comment 24 Serge Gautherie (:sgautherie) 2010-12-03 22:36:27 PST
(Noticed while investigating bug 615923.)

Check code is:
{
71       gCompleteTimeout = window.setTimeout(function() {
72         OfflineTest.ok(false, "Fallback page displayed for top level document");
73         finalize();
74       }, 3000);
}

I assume this orange happens when a tinderbox is slower than usual.

Ideas (fwiw):
*Not rely on a timeout.
 (== Could it be an observer or the like?)
*Add a check that the test did fail. If it didn't, just set the timeout again.
 (== Use a longer timeout.)
Comment 25 Honza Bambas (:mayhemer) 2010-12-07 14:59:54 PST
Idea 3:
*Remove the setTimeout from the test at all and let mochikit detect the test timeout. 
 (== prolonging the timeout with use of a general solution)
Comment 26 Honza Bambas (:mayhemer) 2010-12-07 15:12:43 PST
Created attachment 495989 [details] [diff] [review]
v1 [Check in comment 31 & 32]

Possible patch.
Comment 27 Serge Gautherie (:sgautherie) 2010-12-07 16:37:21 PST
Comment on attachment 495989 [details] [diff] [review]
v1 [Check in comment 31 & 32]

(In reply to comment #25)
> Idea 3:
> *Remove the setTimeout from the test at all and let mochikit detect the test
> timeout. 
>  (== prolonging the timeout with use of a general solution)

From the quick look I had at the test in comment 24, I assumed this check was an actual part of the test (and finalize() was just the needed complement), hence removing it would be wrong.
But, if you, as test author, just wanted to shorten the timeout delay (and added a fake message just to know about it), then yes relying on the harness should be "better".
(This is my feedback, but I'm no reviewer.)
Comment 28 Honza Bambas (:mayhemer) 2010-12-08 07:03:52 PST
Comment on attachment 495989 [details] [diff] [review]
v1 [Check in comment 31 & 32]

Let's forward r? to jst since Dave Camp is no longer working for mozilla.
Comment 29 Serge Gautherie (:sgautherie) 2010-12-08 14:53:46 PST
Comment on attachment 495989 [details] [diff] [review]
v1 [Check in comment 31 & 32]

Approval is not needed for tests.
Comment 30 Treeherder Robot 2010-12-14 22:56:20 PST
mounir.lamouri%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1292381885.1292386364.26970.gz
WINNT 5.2 tryserver debug test mochitests-2/5 on 2010/12/14 18:58:05

s: win32-slave54
4986 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5408 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6455 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
6525 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug369306.html | Test timed out.
Comment 31 Honza Bambas (:mayhemer) 2010-12-15 10:33:41 PST
Comment on attachment 495989 [details] [diff] [review]
v1 [Check in comment 31 & 32]

http://hg.mozilla.org/mozilla-central/rev/ef1ff8570ee9
Comment 33 Al Billings [:abillings] 2011-01-11 15:09:57 PST
Is there really anything for QA to do here to verify this for 1.9.1 or 1.9.2 if the failure has been intermittent?

Note You need to log in before you can comment on or make changes to this bug.